Skip to content

Get a course with its sections, lessons and lesson blocks

GET
/apps/{appId}/courses/{courseId}
curl --request GET \
--url https://api.passion.io/v1/apps/example/courses/example
appId
required

The id of the App, as Studio shows it.

string
/^[1-9][0-9]*$/
courseId
required

The id of a course, as list_courses lists it.

string
/^[1-9][0-9]*$/

OK

Media typeapplication/json
object
id
required
string
name
required
string
summary
required
Any of:
string
state
required

Members see a lesson of a published course as soon as it is created.

string
Allowed values: published unpublished
sections
required
Array<object>
object
id
required
string
name
required
string
lessons
required
Array<object>
object
id
required
string
name
required
string
summary
required
Any of:
string
blocks
required
Array<object>
object
id
required
string
kind
required

other is a block that no tool writes, for example a Calendly block.

string
Allowed values: text image video audio files faq button other
position
required

0 is the first block of the lesson.

integer
>= -9007199254740991 <= 9007199254740991
summary
required
Any of:
string
lessonsOutsideSections
required

The lessons of the course that are in no section.

Array<object>
object
id
required
string
name
required
string
summary
required
Any of:
string
blocks
required
Array<object>
object
id
required
string
kind
required

other is a block that no tool writes, for example a Calendly block.

string
Allowed values: text image video audio files faq button other
position
required

0 is the first block of the lesson.

integer
>= -9007199254740991 <= 9007199254740991
summary
required
Any of:
string
Example
{
"state": "published",
"sections": [
{
"lessons": [
{
"blocks": [
{
"kind": "text"
}
]
}
]
}
],
"lessonsOutsideSections": [
{
"blocks": [
{
"kind": "text"
}
]
}
]
}